# DocBlox_Parallel_WorkerPipe

Class that represents a named pipe for a Worker.

This class manages the named pipe for a worker and is able to push and pull specific data to facilitate IPC (interprocess communication).

category | DocBlox
package | Parallel
author | Mike van Riel mike.vanriel@naenius.com
license | http://www.opensource.org/licenses/mit-license.php MIT
link | http://docblox-project.org

### Methods

## Initializes the named pipe.

    __construct(\DocBlox_Parallel_Worker $worker)

### Arguments

#### $worker

`\DocBlox_Parallel_Worker`

Associated worker.

## If the named pipe was not cleaned up, do so now.

    __destruct()

## Pull the worker data into the named pipe.

    pull() : void

## Push the worker data back onto the worker and release the pipe.

    push() : void

## Returns the unserialized contents of the pipe.

    readPipeContents() : array

### Response

`array`

## Releases the pipe.

    release() : void

## Convenience method to show relation to readPipeContents.

    writePipeContents() : void

### Properties

## worker class that is associated

    worker : \DocBlox_Parallel_Worker

var | worker class that is associated

### Type(s)

`\DocBlox_Parallel_Worker`

## Path to the pipe

    path : string

var | Path to the pipe

### Type(s)

`string`